Package org.eclipse.graphiti.features

# Interface IResizeFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Subinterfaces:
  `IResizeShapeFeature`

All Known Implementing Classes:
  `DefaultResizeShapeFeature`, `ResizeShapeFeatureForPattern`

public interface IResizeFeature extends IFeature
The Interface IResizeFeature.

## Method Summary

Modifier and Type
Method
Description
`IResizeConfiguration`
`getResizeConfiguration(IResizeShapeContext context)`
Provides configuration object, which describes the resize behavior

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

## Method Details

### getResizeConfiguration

IResizeConfiguration getResizeConfiguration(IResizeShapeContext context)
Provides configuration object, which describes the resize behavior

Parameters:
  `context` - the resizing context
Returns:
  configuration object